package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3century.vo.TreeNode;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.entity.*;
import com.muchinfo.mtp3pojos.vo.systemsetup.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

public interface ISystemSetUpService {
    PageResult<Systemparam> queryByPage(Integer pageNum, Integer pageSize, HttpServletRequest request);

    AjaxResult dealParam(SystemParamUpdate paramUpdate, HttpServletRequest request);

    PageResult<Errorcode> queryErr(SystemErrorCodeParam param, HttpServletRequest request);

    AjaxResult dealErr(SystemErrorCodeParam param, HttpServletRequest request);

    PageResult<SystemMarketSectionResult> queryMarketSet(SystemMarketSectionParam param, HttpServletRequest request);

    AjaxResult<SystemMarketSetDetail> marketSetDetail(Integer marketsectionid, HttpServletRequest request);

    AjaxResult deletemarketSet(Integer marketsectionid, HttpServletRequest request);

    AjaxResult<SystemMarketSetResult> querytrademodes(HttpServletRequest request, Integer editmarketsectionid, String selectedmarketids);

    AjaxResult delmarket(SystemMarketSectionAddParam param, HttpServletRequest request);

    PageResult<Szdz2Imageconfig> querypicture(SystemPictureSetParam param, HttpServletRequest request);

    AjaxResult<Szdz2Imageconfig> pictureDetail(Integer configid, HttpServletRequest request);

    AjaxResult dealpicture(SystemPictureDealParam param, HttpServletRequest request);

    AjaxResult deletepicture(Integer configid, HttpServletRequest request);

    AjaxResult<WskhConfigResult> oaconfig(HttpServletRequest request);

    AjaxResult oaconfigAdd(OaConfigParam param, HttpServletRequest request);

    AjaxResult<TreeNode> divisiontree(HttpServletRequest request);

    AjaxResult<Division> queryAreaByCondition(HttpServletRequest request, String parentcode);

    AjaxResult<Division> getParentByAreacode(HttpServletRequest request, String parentcode);

    AjaxResult dealDiv(HttpServletRequest request, DivisionAddParam param);

    AjaxResult deleteDiv(HttpServletRequest request, Long areaid);

    AjaxResult syncTaToCenter(HttpServletRequest request);

    AjaxResult updateTransaction(HttpServletRequest request);

    AjaxResult<SystemSetUpDetail> initdetail(HttpServletRequest request);

    AjaxResult update(HttpServletRequest request, SystemSetUpDetail param);

    AjaxResult clearMarketRunPlan(HttpServletRequest request);

    AjaxResult<EnumDicsResult> getEnumDics(HttpServletRequest request);

    PageResult<EnumDicsPageResult> queryEnumDicItemByPage(EnumDicsPageParam param, HttpServletRequest request);

    AjaxResult<Enumdic> editEnumDic(Long autoid, Long enumgroupid, HttpServletRequest request);

    AjaxResult<EnumdicitemVoResult> editEnumDicItem(Long autoid, String enumdiccode, Integer ismappingtobank, HttpServletRequest request);

    AjaxResult saveEnumDic(Enumdic enumdic, HttpServletRequest request);

    AjaxResult updateOrSave(EnumDicItemSave param, HttpServletRequest request);

    AjaxResult delEnumdicItem(Long autoid, Integer flag, HttpServletRequest request);

    AjaxResult refreshredis(HttpServletRequest request);
}
